Skip to main content
PATCH
/
api
/
platform
/
ecosystems
/
{id}
Update ecosystem
curl --request PATCH \
  --url https://api-next.dealroom.co/api/platform/ecosystems/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "name": "Dutch Fintech (revised)",
  "description": "Fintech companies HQ'd in the Netherlands. Updated definition."
}
EOF
{
  "data": {
    "id": 123,
    "slug": "<string>",
    "name": "<string>",
    "description": "<string>",
    "long_description": "<string>",
    "filter": "<string>",
    "jobs_filter": "<string>",
    "region": "<string>",
    "image_url": "<string>",
    "geojson_url": "<string>",
    "partner_logos": [
      {
        "name": "<string>",
        "url": "<string>",
        "image_url": "<string>"
      }
    ],
    "primary_color": "<string>",
    "surface_color": "<string>",
    "brand_surface_color": "<string>",
    "anonymous_access": true,
    "currency": "EUR",
    "ga_measurement_id": "G-KQFB2GR3HN",
    "tabs_config": {},
    "is_active": true,
    "sort_order": 123
  }
}

Authorizations

Authorization
string
header
required

OAuth2 client-credentials flow against the Dealroom Auth0 tenant. Use the client_id / client_secret from a Programmatic API key. Tokens are valid for 24h — Swagger UI will reuse the same token across operations.

Path Parameters

id
string
required
Minimum string length: 1
Example:

"1"

Body

application/json
slug
string
Required string length: 1 - 100
Pattern: ^[a-z0-9-]+$
name
string
Required string length: 1 - 200
description
string | null
long_description
string | null
filter
string
Minimum string length: 1
jobs_filter
string | null
region
string | null
image_url
string | null
geojson_url
string | null
partner_logos
object[] | null
primary_color
string | null
surface_color
string | null
brand_surface_color
string | null
tabs_config
object | null
sort_order
integer
anonymous_access
boolean
currency
string | null
Pattern: ^[A-Za-z]{3}$
ga_measurement_id
string | null
Pattern: ^G-[A-Z0-9]+$

Response

Updated ecosystem

data
object
required